0
$\begingroup$

Rosanswers logo

Hello, I'm currently running Ros Hydro on Ubuntu 12.04 and I want to use a Kinect for face recognition.

I found the cob_people_detection package and downloaded cob_people_perception-hydro_dev to my catkin_ws/src/ folder, but when I try to build it with catkin_make I get errors concerning several configuration files, like this ones:

CMake Error at /opt/ros/hydro/share/catkin/cmake/catkinConfig.cmake:75 (find_package): Could not find a configuration file for package cob_image_flip.

CMake Error at /opt/ros/hydro/share/catkin/cmake/catkinConfig.cmake:75 (find_package): Could not find a configuration file for package cob_perception_msgs.

Here is the complete log.

I tried deleting the devel and build folders, and then building, but I get the same error. I don't have a similar problem with any of the other packages I'm using, so I'm not sure if I'm missing something here.

Thank you in advance,


Originally posted by Athria on ROS Answers with karma: 78 on 2015-05-05

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

Ok, now I could read your log and figured out what is the problem. In addition to the cob_people_perception repository (most recent version from here: https://github.com/ipa-rmb/cob_people_perception) you need to have the cob_perception_common repository. This one might be released already (i.e. can be installed via sudo apt-get install ros-hydro-cob-perception-common) but we are not releasing the latest versions on hydro anymore. Hence I suppose that even if you would have installed cob_perception_common, your version is outdated.

Please download the newest hydro version of cob_perception_common from https://github.com/ipa-rmb/cob_perception_common and try to compile again.

Please notice that we will not implement future features into the hydro_dev branch anymore. For now it appeared that the indigo_dev version is working with ROS hydro successfully. So you might also give the indigo_dev branches a chance (hydro_dev and indigo_dev should be similar at the moment).

Best regards, Richard


Originally posted by ipa-rmb with karma: 36 on 2015-05-06

This answer was ACCEPTED on the original site

Post score: 0


Original comments

Comment by Athria on 2015-05-08:
Hello, thank you very much for your answer, I installed the missing cob_perception_common package for ros hydro and reinstalled the perception package, but I'm still getting errors, this time concerning mostly missing headers (https://gist.github.com/Athria/141e5fc30a4748009cfb) in lines 66, 72, etc

Comment by Athria on 2015-05-08:
I also tried installing the indigo_dev like suggested, but it threw errors as well. I think I have all the dependencies for the openni2_tracker and I couldn't find anything about additional dependencies for the libnite2, but from the errors I think I might be missing something there. Thank you again

Comment by ipa-rmb on 2015-05-08:
The errors originate from missing messages. You may solve the problem by just using one core for compilation (i.e. "catkin_make -j1") or by running catkin_make several times until everything compiles. Anyways, I have (hopefully) fixed the dependencies now, just pull and build the software again.

Comment by ipa-rmb on 2015-05-08:
Background: Catkin requires to add a line "add_dependencies(${p} ${catkin_EXPORTED_TARGETS} ${PROJECT_NAME}_generate_messages_cpp)" to run message generation from other packages before building this package when using multiple cores. I have fixed that in the hydro_dev and indigo_dev branches now.

Comment by Athria on 2015-05-11:
Hello, sorry but it is still trowing errors when I tried to build (https://gist.github.com/Athria/c575b2178a3b13c0e29b), first I downloaded again both packages from github and tried with catkin_make and catkin_make -j1, since none of them worked and I couldn't fix the error I tried deleting (1/2)

Comment by Athria on 2015-05-11:
other packages to see if it made any difference (I once had an issue with two conflicting packages), but it didn't help. Today I downloaded the common and perception packages once more and compiled several times, but it's still the same error. I tried deleting the devel and build folders too (2/2)

Comment by ipa-rmb on 2015-05-13:
Looks like a SSL problem when downloading and md5sum checking sources of a library to build. You might try out two things:

  1. Open file cob_people_perception/libnite2/Makefile.tarball and comment line 8 (MD5SUM_FILE = NiTE-Linux-x64-2.2.tar.bz2.md5sum) out by putting a # before it (#MD5SUM_FILE...

Comment by ipa-rmb on 2015-05-13:
2 Just ignore those packages that give you trouble by putting an empty file with name "CATKIN_IGNORE" into the respective main folders. You do not need the following packages: libnite2, cob_people_tracking_filter, cob_openni2_tracker, cob_leg_detection. You may put CATKIN_IGNORE in all of them.

Comment by Athria on 2015-05-16:
Thank you very much, with the first suggestion the compilation errors remained, but ignoring the packages you mentioned in the second one it compiled without errors. Thank you again.

Comment by ipa-rmb on 2015-05-19:
Wonderful :-)

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.